#=======tissot config start

#tissot record mq host
#{"type":"env"}
tissot.rabbitmq.host=${spring.rabbitmq.host}

#tissot record mq port
#{"type":"env"}
tissot.rabbitmq.port=${spring.rabbitmq.port}

#tissot record mq username
#{"type":"env"}
tissot.rabbitmq.username=${spring.rabbitmq.username}

#tissot record mq password
#{"type":"env"}
tissot.rabbitmq.password=${spring.rabbitmq.password}

#tissot mq console port
#{"type":"env" , "value" : "15672"}
tissot.rabbitmq.console=15672

#tissot record mq queue name
#{"type":"env", "value" : "tissot_info_record"}
tissot.rabbitmq.queuename=tissot_info_record

#tissot record min consumer
#{"type":"env", "value" : "10"}
tissot.rabbitmq.listener.simple.concurrency=10

#tissot record max consumer
#{"type":"env", "value" : "30"}
tissot.rabbitmq.listener.simple.max.concurrency=30

#tissot mq consumer timeout
#{"type":"env", "value" : "60000"}
tissot.rabbitmq.listener.recive.timeout=60000

#tissot record mq batch handle message num
#{"type":"env", "value" : "50"}
tissot.rabbitmq.listener.simple.fetch=50

#tissot record mq is enable retry
#{"type":"env", "value" : "true"}
tissot.rabbitmq.listener.simple.retry.enable=true

#tissot record mq retry max num
#{"type":"env", "value" : "5"}
tissot.rabbitmq.listener.simple.retry.max-attempts=5

#tissot record mq retry initial interval
#{"type":"env", "value" : "1000"}
tissot.rabbitmq.listener.simple.retry.initial-interval=1000

#is client open tissot record
#{"type":"env", "value" : "true"}
tissot.client.isopen=true

#tissot open hessian record
#{"type":"env", "value" : "true"}
tissot.record.hessian=true

#client will not record if spring app name in this list
#{"type":"env", "value" : "weaver-tissot-service,weaver-front-monitor-service"}
tissot.black.appnames=weaver-tissot-service,weaver-front-monitor-service

#interface will not record if name in this list
#{"type":"env", "value" : "remote/emonitor/druid/datasource,remote/emonitor/health,remote/emonitor/getCurrentMemInfo"}
tissot.black.interface=remote/emonitor/druid/datasource,remote/emonitor/health,remote/emonitor/getCurrentMemInfo

#use async send message to mq
#{"type":"env", "value" : "true"}
tissot.async.send.msg=true

#tissot app record proportion
#{"type":"env", "value" : "weaver-open-api:10;weaver-workflow-core-service:10;weaver-file-service:10;weaver-bcw-service:10;weaver-signcenter-service:10;weaver-workflow-pathdef-service:10;weaver-hrm-salary:10;weaver-datasecurity:10;ebuilder-installer-service:10;weaver-tenant-service:10;weaver-security-framework-service:10;"}
tissot.app.record.proportion=weaver-open-api:10;weaver-workflow-core-service:10;weaver-file-service:10;weaver-bcw-service:10;weaver-signcenter-service:10;weaver-workflow-pathdef-service:10;weaver-hrm-salary:10;weaver-datasecurity:10;ebuilder-installer-service:10;weaver-tenant-service:10;weaver-security-framework-service:10;

#tissot all record proportion
#{"type":"env", "value" : "0"}
tissot.all.record.proportion=0

#tissot record cardinality
#{"type":"env", "value" : "10000"}
tissot.record.cardinality=10000

#tissot app record long rt time
#{"type":"env", "value" : "weaver-ecode-service:5000"}
tissot.app.record.longrt=weaver-ecode-service:5000

#tissot all record long rt time
#{"type":"env", "value" : "5000"}
tissot.all.record.longrt=5000

#tissot permission level control
#{"type":"env", "value" : "false"}
is.open.tissot.permission.level=false

#open check queue num
#{"type":"env", "value" : "true"}
is.open.tissot.queue.num=true

#max queue num
#{"type":"env", "value" : "50000"}
max.tissot.queue.num=50000

#is tissot query log by local
#{"type":"env", "value" : "true"}
tissot.query.log.local=true

#=======tissot config end

#=======errorcode config start

#is open errorcode apply for all app
#{"type":"env", "value" : "true"}
weaver.errorcode.open=true

#if open this switch, errorcode change for rpc will effect
#{"type":"env", "value" : "true"}
weaver.errorcode.open.rpc=true

#if open this switch, errorcode change for http will effect
#{"type":"env", "value" : "true"}
weaver.errorcode.open.http=true

#if open this switch, errorcode change for sapi will effect
#{"type":"env", "value" : "true"}
weaver.errorcode.open.sapi=true

#error code black list for app, if in this list, the app will not apply error code
#{"type":"env", "value" : "nonapp"}
weaver.errorcode.app.blacklist=nonapp

#if open this switch, error code will print in website and header
#{"type":"env", "value" : "false"}
weaver.errorcode.returnto.website=false

#if open this switch, stack trace will print in website
#{"type":"env", "value" : "true"}
weaver.errorcode.print.stacktrace=true

#if open this switch, error code info will print in header
#{"type":"env", "value" : "false"}
weaver.errorcode.print.header=false

#if open this switch, app will pull custom error code info from tissot
#{"type":"env", "value" : "true"}
errorcode.update.open=true

#=======errorcode config end
